---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: site
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    nginx.ingress.kubernetes.io/from-to-www-redirect: "true"
spec:
  ingressClassName: nginx
  rules:
  - host: www.ianpringle.org
    http:
      paths:
      - path: /
        backend:
          serviceName: site
          servicePort: 80
  tls:
  - hosts:
    - ianpringle.org
    - www.ianpringle.org
    secretName: ianpringleorg-site-tls
